Opera < 9.27 Multiple Vulnerabilities

High Log Correlation Engine Plugin ID 800810

Synopsis

The remote host contains a web browser that is affected by several issues.

Description

The version of Opera installed on the remote host reportedly is affected by several issues :

- Resized canvas patterns can lead to a program crash with possible memory corruption.
- A newsfeed prompt can cause Opera to execute arbitrary code.
- Improved keyboard handling of password inputs.

Solution

Upgrade to version 9.27 or higher.

See Also

http://.opera.com/support/search/view/881

http://.opera.com/support/search/view/882

http://.opera.com/docs/changelogs/windows/927

Plugin Details

Severity: High

ID: 800810

File Name: 800810.prm

Family: Web Clients

Nessus ID: 31734

Risk Information

Risk Factor: High

CVSSv2

Base Score: 6.8

Temporal Score: 5.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:POC/RL:OF/RC:C

Reference Information

CVE: CVE-2008-1761, CVE-2008-1762

BID: 28585